# QVM: Quaternions, Vectors, Matrices

### ptr_mref

#include <boost/qvm/mat_traits_array.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <int Rows,int Cols,class T>
            T (&ptr_mref( T * ptr ))[Rows][Cols];
        }
    }

#### Returns:

A reference of type "array of Row arrays of Col elements of type T" to the memory pointed by ptr. This makes it possible to use the array at ptr as a matrix of size Row x Col.